﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadMap_Integration_with_Bing_Service.aspx.cs" Inherits="Default2" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Using RadMap with Bing service</title>
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager runat="server"></telerik:RadScriptManager>


		Type a valid address: <telerik:RadTextBox runat="server" ID="RadTextBox1" Text="169 University Ave. Palo Alto 94301" Width="300"></telerik:RadTextBox>
		<telerik:RadButton runat="server" ID="RadButton1" AutoPostBack="false" Text="Search" OnClientClicked="OnClientClicked"></telerik:RadButton>

		<%-- You should use a valid Bing Map Key provided by Microsoft --%>

		<telerik:RadMap runat="server" ID="RadMap1">
			<LayersCollection>
				<telerik:MapLayer Type="Bing" Key="AvSZTG8nW8BYr9UVM1MeleEM3hq4zHFV72ppRaqvWZ98OzTVzF3jsRP6pTNYeAdi"></telerik:MapLayer> 
			</LayersCollection>
		</telerik:RadMap>

		<script>
			function OnClientClicked() {
				var $ = $telerik.$,
					searchValue = $find("RadTextBox1").get_value();

				$.ajax({
					url: "http://dev.virtualearth.net/REST/v1/Locations",
					dataType: "jsonp",
					data: {
						q: searchValue,
						key: "AvSZTG8nW8BYr9UVM1MeleEM3hq4zHFV72ppRaqvWZ98OzTVzF3jsRP6pTNYeAdi" // You should use a valid Bing Map Key provided by Microsoft
					},
					jsonp: "jsonp",
					success: loadResults
				});
			}

			function loadResults(data) {
				var resourceSets = data.resourceSets,
					resources = resourceSets.length > 0 ? resourceSets[0].resources : [],
					map = $find("<%= RadMap1.ClientID %>"),
					kendoMap = map.kendoWidget;

				if (resources.length < 1) {
					alert("Address not found!")
					return;
				}

				kendoMap.markers.clear();

				for (var i = 0; i < resources.length; i++) {
					kendoMap.markers.add({
						location: resources[i].point.coordinates,
						title: resources[i].name
					});
				}
			}
		</script>
	</form>
</body>
</html>
